package org.dromara.system.service;

import org.dromara.system.domain.TblDzbcCargoItem;
import org.dromara.system.domain.bo.CargoItemBo;
import org.dromara.system.domain.vo.TblDzbcCargoItemVo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

public interface ITblDzbcCargoItemService {

    TblDzbcCargoItemVo queryById(Long id);

    TableDataInfo<TblDzbcCargoItemVo> queryPageList(CargoItemBo bo, PageQuery pageQuery);

    List<TblDzbcCargoItemVo> queryList(Long orderId);

    List<TblDzbcCargoItemVo> selectByOrderId(Long orderId);

    Boolean saveItems(Long orderId, List<CargoItemBo> items);

    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
